%define upstream_name       Time-Progress
%define upstream_version 2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Elapsed and estimated finish time reporting
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)

BuildArch: noarch

%description
Elapsed and estimated finish time reporting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc README Changes META.yml
%{perl_vendorlib}/Time/Progress.pm
%{_mandir}/man3/*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 2.0.0-4pclos2017
- rebuild against updates
